LINUX.ORG.RU

Ошибка при обновлении linux-image

 , ,


0

1

Всем привет! Месяц назад установил Debian 12. Использую в качестве домашнего сервера.Сегодня при попытке выполнить aptitude upgrade, вывело следующее:

dpkg: ошибка при обработке архива /var/cache/apt/archives/linux-image-6.3.0-2-amd64_6.3.11-1_amd64.deb (--unpack):
 при установке другой версии не удалось очистить окружение «./boot/System.map-6.3.0-2-amd64»: Файловая система доступна только для чтения
dpkg-deb: ошибка: подпроцесс вставка уничтожен по сигналу (Обрыв канала)
Подготовка к распаковке …/dash_0.5.12-6_amd64.deb …
Распаковывается dash (0.5.12-6) на замену (0.5.12-2) …
При обработке следующих пакетов произошли ошибки:
 /var/cache/apt/archives/linux-image-6.3.0-2-amd64_6.3.11-1_amd64.deb
needrestart is being skipped since dpkg has failed
E: Sub-process /usr/bin/dpkg returned an error code (1)
dpkg: зависимости пакетов не позволяют настроить пакет linux-image-amd64:
 linux-image-amd64 зависит от linux-image-6.3.0-2-amd64 (= 6.3.11-1), однако:
  Пакет linux-image-6.3.0-2-amd64 не установлен.

dpkg: ошибка при обработке пакета linux-image-amd64 (--configure):
 проблемы зависимостей — оставляем не настроенным

Ладно, попробую apt upgrade. Ой, опять ошибка…

Чтение списков пакетов… Готово
Построение дерева зависимостей… Готово
Чтение информации о состоянии… Готово
Вы можете запустить «apt --fix-broken install» для исправления этих ошибок.
Следующие пакеты имеют неудовлетворённые зависимости:
 linux-image-amd64 : Зависит: linux-image-6.3.0-2-amd64 (= 6.3.11-1) но он не установлен
E: Неудовлетворённые зависимости. Попытайтесь выполнить «apt --fix-broken install», не указывая имени пакета (или указав решение).

Немного не понял про файловую систему… apt –fix-broken install Тоже не дал ничего толкового.

#apt --fix-broken install
Чтение списков пакетов… Готово
Построение дерева зависимостей… Готово
Чтение информации о состоянии… Готово
Исправление зависимостей… Готово
Будут установлены следующие дополнительные пакеты:
  linux-image-6.3.0-2-amd64
Предлагаемые пакеты:
  linux-doc-6.3 debian-kernel-handbook
Следующие НОВЫЕ пакеты будут установлены:
  linux-image-6.3.0-2-amd64
Обновлено 0 пакетов, установлено 1 новых пакетов, для удаления отмечено 0 пакетов, и 974 пакетов не обновлено.
Установлено или удалено не до конца 1 пакетов.
Необходимо скачать 0 B/74,5 MB архивов.
После данной операции объём занятого дискового пространства возрастёт на 465 MB.
Хотите продолжить? [Д/н] y
(Чтение базы данных … на данный момент установлено 342415 файлов и каталогов.)
Подготовка к распаковке …/linux-image-6.3.0-2-amd64_6.3.11-1_amd64.deb …
Распаковывается linux-image-6.3.0-2-amd64 (6.3.11-1) …
dpkg: ошибка при обработке архива /var/cache/apt/archives/linux-image-6.3.0-2-amd64_6.3.11-1_amd64.deb (--unpack):
 при установке другой версии не удалось очистить окружение «./boot/System.map-6.3.0-2-amd64»: Файловая система доступна только для чтения
dpkg-deb: ошибка: подпроцесс вставка уничтожен по сигналу (Обрыв канала)
При обработке следующих пакетов произошли ошибки:
 /var/cache/apt/archives/linux-image-6.3.0-2-amd64_6.3.11-1_amd64.deb
needrestart is being skipped since dpkg has failed
E: Sub-process /usr/bin/dpkg returned an error code (1)

Заранее спасибо за помощь! :)